Package org.linphone.core

# Enum Class ConfiguringState

java.lang.Object
java.lang.Enum<ConfiguringState>
org.linphone.core.ConfiguringState

All Implemented Interfaces:
  `Serializable`, `Comparable<ConfiguringState>`, `Constable`

public enum ConfiguringState extends Enum<ConfiguringState>
Describes the state of the remote configuring process of the `Core`
object, 'Skipped' when the feature is disabled.
It is notified via the configuring_status() callback in `CoreListener`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Failed`
`Skipped`
`Successful`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static ConfiguringState`
`fromInt(int value)`
`protected static ConfiguringState[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(ConfiguringState[] values)`
`static ConfiguringState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConfiguringState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Successful

public static final ConfiguringState Successful

### Failed

public static final ConfiguringState Failed

### Skipped

public static final ConfiguringState Skipped

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static ConfiguringState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ConfiguringState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static ConfiguringState fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static ConfiguringState[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(ConfiguringState[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()